cap log close


	********************************************************************************
	**** load data & log File                               **********************
	********************************************************************************
	log using "$log/lpo11_1_Final_Data.log", replace

	* Content: Preparation PASS - create final data set

	clear all
	capture set more off 
	use "$data/data_merged.dta", clear

	drop female
	gen  female = female_adiab

	********************************************************************************
	**** Generierung vars aus dem PASS-Adiab                  **********************
	********************************************************************************
	* Definieren der Treatmentvariablen: event "Person wird arbeitslos"
	bysort persnr (welle): gen treat = 1 if (status_espell_soz == 1 | status_espell_ger == 1) & status_uspell == 0 & status_nspell == 0 & ///
	((status_espell_soz[_n+1] == 0 & status_espell_ger[_n+1] == 0 & status_uspell[_n+1] == 1) |  ///
	(d_gap_etou == 1) |  ///
	(espell[_n+1] == 0 & akt1euro[_n+1] != 1 & uspell[_n+1] == 1 & status_uspell[_n+1]==.)) &  ///
	welle == welle[_n+1] - 1
	
	
	* Person bleibt beschaeftigt
	bysort persnr (welle): replace treat = 0 if treat ==. & ///
	(status_espell_soz == 1 | status_espell_ger == 1) & status_uspell == 0 & status_nspell == 0 & ///
	(((status_espell_soz[_n+1] == 1 | status_espell_ger[_n+1] == 1) & status_uspell[_n+1] == 0 & status_nspell[_n+1] == 0 & ((espell_soz_dauer_cum[_n+1] - espell_soz_dauer_cum == date[_n+1] - date) | (espell_ger_dauer_cum[_n+1] - espell_ger_dauer_cum ==  date[_n+1] - date ))) | ///
	(espell[_n+1] == 1 & uspell[_n+1] == 0 & status_uspell[_n+1] == . & (espell_dur_cumlw[_n+1]  == date[_n+1] - date) & espell_dur_cumlw[_n+1]!=.) | ///
	(espell[_n+1] == 1 & uspell[_n+1] == 0 & status_uspell[_n+1] == . & (date[_n+1] - jewtdate[_n+1] >= date[_n+1] - date) & jewtdate[_n+1] !=. )) & ///
	welle == welle[_n+1] - 1
	
	
	****************************************************************************
	* Nur Admin-Infos
	
	* Definieren der Treatmentvariablen: event "Person wird arbeitslos"
	bysort persnr (welle): gen treat_admin = 1 if (status_espell_soz == 1 | status_espell_ger == 1) & status_uspell == 0 & status_nspell == 0 & ///
	((status_espell_soz[_n+1] == 0 & status_espell_ger[_n+1] == 0 & status_uspell[_n+1] == 1) |  ///
	(d_gap_etou == 1)) &  ///
	welle == welle[_n+1] - 1
	
	
	* Person bleibt beschaeftigt
	bysort persnr (welle): replace treat_admin = 0 if treat_admin ==. & ///
	(status_espell_soz == 1 | status_espell_ger == 1) & status_uspell == 0 & status_nspell == 0 & ///
	(((status_espell_soz[_n+1] == 1 | status_espell_ger[_n+1] == 1) & status_uspell[_n+1] == 0 & status_nspell[_n+1] == 0 & ((espell_soz_dauer_cum[_n+1] - espell_soz_dauer_cum == date[_n+1] - date) | (espell_ger_dauer_cum[_n+1] - espell_ger_dauer_cum ==  date[_n+1] - date )))) & ///
	welle == welle[_n+1] - 1
	
	****************************************************************************
	gen treat_empl_same_firm = treat if treat == 1
	
	* Person bleibt in demselben Betrieb beschaeftigt
	bysort persnr (welle): replace treat_empl_same_firm = 0 if treat_empl_same_firm==. & ///
	(status_espell_soz == 1 | status_espell_ger == 1) & status_uspell == 0 & status_nspell == 0 & ///
	((((status_espell_soz == 1 & status_espell_soz[_n+1] == 1 & n_espell_soz == n_espell_soz[_n+1])  | (status_espell_ger == 1 & status_espell_ger[_n+1] == 1 & n_espell_ger == n_espell_ger[_n+1])) & status_uspell[_n+1] == 0 & status_nspell[_n+1] == 0) | ///
	(espell[_n+1] == 1 & uspell[_n+1] == 0 & status_uspell[_n+1] == . & (espell_dur[_n+1] - espell_dur == date[_n+1] - date) & espell_dur !=. & espell_dur[_n+1]) | ///
	(espell[_n+1] == 1 & uspell[_n+1] == 0 & status_uspell[_n+1] == . & (date[_n+1] - jewtdate[_n+1] >= date[_n+1] - date) & jewtdate[_n+1] !=. )) & ///
	welle == welle[_n+1] - 1
			
	****************************************************************************
	* Arbeitslos 2 Wellen nach job loss?
	bysort persnr (welle): gen treat_unempl_2 = 1 if (status_espell_soz == 1 | status_espell_ger == 1) & status_uspell == 0 & status_nspell == 0 & ///
	((status_espell_soz[_n+2] == 0 & status_espell_ger[_n+2] == 0 & status_uspell[_n+2] == 1 & espell_soz_dauer_cum[_n+2] == espell_soz_dauer_cum[_n+1] & espell_ger_dauer_cum[_n+2] == espell_ger_dauer_cum[_n+1]) | ///
	(espell[_n+2] == 0 & akt1euro[_n+2] != 1 &  uspell[_n+2] == 1 & status_uspell[_n+2] == . & ///
	(((not_employed_since[_n+2] >= date[_n+2] - date[_n+1])	& not_employed_since[_n+2] !=. ) | ((uspell_dur[_n+2] >= date[_n+2] - date[_n+1]) & uspell_dur[_n+2]!=.)))) & ///
	welle == welle[_n+2] - 2
		
	bysort persnr (welle): replace treat_unempl_2 = 0 if (status_espell_soz == 1 | status_espell_ger == 1) & status_uspell == 0 & status_nspell == 0 & ///
	(((status_espell_soz[_n+2] == 1 | status_espell_ger[_n+2] == 1) & status_uspell[_n+2] == 0 & status_nspell[_n+2] == 0 & ((espell_soz_dauer_cum[_n+2] - espell_soz_dauer_cum == date[_n+2] - date) | (espell_ger_dauer_cum[_n+2] - espell_ger_dauer_cum ==  date[_n+2] - date ))) | ///
	(espell[_n+2] == 1 & uspell[_n+2] == 0 & status_uspell[_n+2] == . & (espell_dur_cumlw[_n+1] + espell_dur_cumlw[_n+2] == date[_n+2] - date) & espell_dur_cumlw[_n+1]!=. & espell_dur_cumlw[_n+2]!=.) | ///
	(espell[_n+2] == 1 & uspell[_n+2] == 0 & status_uspell[_n+2] == . & (date[_n+2] - jewtdate[_n+2] >= date[_n+2] - date) & jewtdate[_n+2] !=. )) & ///
	welle == welle[_n+2] - 2
	
	****************************************************************************

	* Wer wird arbeitslos und findet direkt wieder einen Job?
	bysort persnr (welle): gen treat_employed = 1 if (status_espell_soz == 1 | status_espell_ger == 1) & status_uspell == 0 & status_nspell == 0 & ///
	((((status_espell_soz[_n+1] == 1 | status_espell_ger[_n+1] == 1) & ((n_uspell[_n+1] > n_uspell & n_uspell[_n+1] !=. ) | (n_nspell[_n+1] > n_nspell & n_nspell[_n+1] !=.))) | ///
	(espell[_n+1] == 1 & status_uspell[_n+1] == . & uspell_dur_cumlw[_n+1] > 0 & uspell_dur_cumlw[_n+1]!=.))) & ///
	welle == welle[_n+1] - 1
	
	replace treat_employed = 0 if treat==0 
	
	****************************************************************************
	
	* Dauer in uspell in Tagen?
	replace uspell_dauer = 0 if uspell_dauer == . & treat != .
	replace nspell_dauer_cum = nspell_dauer_cum + nspell_dauer if status_nspell == 1
	replace n_nspell = n_nspell + 1 if status_nspell == 1

	* Dauer in uspell in Tagen?
	bysort persnr (welle): gen uspell_dauer_treat = (uspell_dauer[_n+1] - uspell_dauer) if treat==1 & uspell_dauer != . & uspell_dauer[_n+1] !=.
	bysort persnr (welle): replace uspell_dauer_treat = uspell_dur[_n+1] if treat==1 & uspell_dauer_treat == . & uspell_dur[_n+1] != .
	bysort persnr (welle): replace uspell_dauer_treat = not_employed_since[_n+1] if treat==1 & uspell_dauer_treat == . & not_employed_since[_n+1] != .
	
	bysort persnr (welle): replace uspell_dauer_treat = uspell_dauer_treat + (begepi_orig[_n+1]-date) if d_gap_etou==1 & treat==1
	bysort persnr (welle): replace uspell_dauer_treat = uspell_dauer_treat + nspell_dauer if status_nspell==1 & treat==1
	
	sum uspell_dauer_treat, d

	bysort persnr (welle): gen treat_unempl_dauer_s6 = 1 if uspell_dauer_treat < 180
	replace treat_unempl_dauer_s6 = 0 if treat == 0

	bysort persnr (welle): gen treat_unempl_dauer_ge6 = 1 if uspell_dauer_treat >= 180 & uspell_dauer_treat!=.
	replace treat_unempl_dauer_ge6 = 0 if treat == 0


	* Wieviele getreatete Personen?
	tab treat
	tab treat_empl_same_firm
	tab treat_unempl_2
	tab treat_employed
	tab treat_unempl_dauer_s6
	tab treat_unempl_dauer_ge6



	* Arbeitslosenquote
	rename ALO_Quote1 U_ratio
	
	****************************************************************************
	* Employment prospects
	
	* Suche in t+1
	bysort persnr (welle): gen suche_lead = suche[_n+1] if welle == welle[_n+1] - 1
	
	* Beschäftigung in t+1 von Arbeitslosen
	* Person bleibt beschaeftigt
	
	
	bysort persnr (welle): gen utoe = 0 if ((status_espell_soz == 0 & status_espell_ger == 0 & status_uspell == 1) |  ///
	(espell == 0 & akt1euro != 1 & uspell== 1 & status_uspell==.)) & ///
	((status_espell_soz[_n+1] == 0 & status_espell_ger[_n+1] == 0 & status_uspell[_n+1] == 1) |  ///
	(d_gap_etou == 1) |  ///
	(espell[_n+1] == 0 & akt1euro[_n+1] != 1 & uspell[_n+1] == 1 & status_uspell[_n+1]==.)) &  ///
	welle == welle[_n+1] - 1
	
	
	bysort persnr (welle): replace utoe = 1 if ((status_espell_soz == 0 & status_espell_ger == 0 & status_uspell == 1) |  ///
	(espell == 0 & akt1euro != 1 & uspell== 1 & status_uspell==.)) &  ///
	((status_espell_soz[_n+1] == 1 | status_espell_ger[_n+1] == 1) | ///
	(espell[_n+1] == 1 & uspell[_n+1] == 0 & status_uspell[_n+1] == . )) & ///
	welle == welle[_n+1] - 1
	
	
	*Last employment
	****************************************************************************
	format espell_soz_endepi_last espell_ger_endepi_last %d


	* War letzte Beschaeftigung sozialversicherungspflichtig?
	gen d_espell_soz_last = 1 if status_espell_soz == 1
	replace d_espell_soz_last = 0 if status_espell_ger == 1 & status_espell_soz == 0

	rename espell_soz_az_ges_last espell_soz_betr_gr_last
	rename espell_soz_te_med_last espell_soz_betr_ml_last

	rename espell_ger_az_ges_last espell_ger_betr_gr_last
	rename espell_ger_te_med_last espell_ger_betr_ml_last

	* Dauer der letzten Beschaeftigung
	gen espell_endepi_last = espell_soz_endepi_last if d_espell_soz_last == 1
	replace espell_endepi_last = espell_ger_endepi_last if d_espell_soz_last == 0

	gen espell_dauer_last = espell_soz_dauer_last if d_espell_soz_last == 1
	replace espell_dauer_last = espell_ger_dauer_last if d_espell_soz_last == 0

	gen espell_entgelt_last = espell_soz_entgelt_last if d_espell_soz_last == 1
	replace espell_entgelt_last = espell_ger_entgelt_last if d_espell_soz_last == 0

	gen espell_betr_gr_last = espell_soz_betr_gr_last if d_espell_soz_last == 1
	replace espell_betr_gr_last = espell_ger_betr_gr_last if d_espell_soz_last == 0

	gen espell_betr_ml_last = espell_soz_betr_ml_last if d_espell_soz_last == 1
	replace espell_betr_ml_last = espell_ger_betr_ml_last if d_espell_soz_last == 0

	*gen espell_whitecoll_last = espell_soz_whitecoll_last if d_espell_soz_last == 1
	*replace espell_whitecoll_last = espell_ger_whitecoll_last if d_espell_soz_last == 0

	*gen espell_bluecoll_last = espell_soz_bluecoll_last if d_espell_soz_last == 1
	*replace espell_bluecoll_last = espell_ger_bluecoll_last if d_espell_soz_last == 0

	gen espell_vz_last = espell_soz_vz_last if d_espell_soz_last == 1
	replace espell_vz_last = espell_ger_vz_last if d_espell_soz_last == 0
	replace espell_vz_last = 0 if d_espell_soz_last == 0 & espell_vz_last==.

	gen espell_jobkl_last = espell_soz_jobkl_last if d_espell_soz_last == 1
	replace espell_jobkl_last = espell_ger_jobkl_last if d_espell_soz_last == 0

	gen espell_sectorkl_last = espell_soz_sectorkl_last if d_espell_soz_last == 1
	replace espell_sectorkl_last = espell_ger_sectorkl_last if d_espell_soz_last == 0


	* Dauer seit letztem Beschaeftigungsverhaeltnis
	gen espell_soz_dauer_seit_last = .
	replace espell_soz_dauer_seit_last = date - espell_soz_endepi_last if espell_soz_endepi_last != .
	replace espell_soz_dauer_seit_last = 0 if espell_soz_dauer_seit_last < 0

	gen espell_ger_dauer_seit_last = .
	replace espell_ger_dauer_seit_last = date - espell_ger_endepi_last if espell_ger_endepi_last != .
	replace espell_ger_dauer_seit_last = 0 if espell_ger_dauer_seit_last < 0

	gen espell_dauer_seit_last = espell_soz_dauer_seit_last if d_espell_soz_last == 1
	replace espell_dauer_seit_last = espell_ger_dauer_seit_last if d_espell_soz_last == 0



	format espell_soz_endepi_last %d
	format espell_ger_endepi_last %d
	format espell_endepi_last %d

	* Dauern in Monaten
	foreach var in espell_dauer_seit_last espell_endepi_last espell_soz_dauer_cum espell_dauer_last espell_soz_dauer_last espell_soz_dauer_seit_last espell_ger_dauer_cum espell_ger_dauer_last espell_ger_dauer_seit_last uspell_dauer_cum uspell_krank_dauer_cum uspell_kverm_dauer_cum mth_dauer_cum nspell_dauer_cum {
	replace `var' =  `var'/30
	}

****************************************************************************

	* Job und Sektordummies

	forvalues i = 1/6 {
	gen d_espell_jobkl_last_`i' = (espell_jobkl_last == `i')
	}


	forvalues i = 1/17 {
	gen d_espell_sectorkl_last_`i' = (espell_sectorkl_last == `i')
	}

	* Aggregation von Sektorklassen
	gen d_espell_sectorkl_last_agg_1 = d_espell_sectorkl_last_1 + d_espell_sectorkl_last_2 + d_espell_sectorkl_last_3 + d_espell_sectorkl_last_4
	gen d_espell_sectorkl_last_agg_2 = d_espell_sectorkl_last_5 + d_espell_sectorkl_last_6
	gen d_espell_sectorkl_last_agg_3 = d_espell_sectorkl_last_7 + d_espell_sectorkl_last_8
	gen d_espell_sectorkl_last_agg_4 = d_espell_sectorkl_last_9 + d_espell_sectorkl_last_10
	gen d_espell_sectorkl_last_agg_5 = d_espell_sectorkl_last_11 + d_espell_sectorkl_last_12
	gen d_espell_sectorkl_last_agg_6 = d_espell_sectorkl_last_13
	gen d_espell_sectorkl_last_agg_7 = d_espell_sectorkl_last_14
	gen d_espell_sectorkl_last_agg_8 = d_espell_sectorkl_last_15 + d_espell_sectorkl_last_16 + d_espell_sectorkl_last_17

	/*
			label define SKL
		1  	"Landwirtschaft, Energie, Bergbau"
		2  	"Grundstoff- & Güterproduktion"
		3  	"Stahl, Leichtmetall, Maschinen"
		4  	"Stahlverformung, Fahrzeugbau, Gerätebau"
		5  	"Konsumgütergewerbe"
		6  	"Nahrungsmittel-/Genussmittelgewerbe"
		7 	"Bauhauptgewerbe"
		8	"Ausbaugewerbe"
		9	"Großhandel"
		10 	"Einzelhandel"
		11	"Verkehr und Nachrichtenübermittlung"
		12	"Wirtschaftsbezogene Dienstleistungen"
		13	"Haushaltsbezogene Dienstleistungen"
		14	"Erziehung, Soziales und Gesundheitssektor"
		15	"(Straßen-)Reinigung, Verbände, Organisationen"
		16	"Öffentliche Verwaltung, Sozialversicherung"
		17	"Sonstiges";

	*/


	/* Aggregierte Dummies

	* 1 "Landwirtschaft & Produktion"
	* 2 "Konsumgüter/Genussmittelgewerbe"
	* 3 "Baugewerbe"
	* 4 "Handel"
	* 5 "Dienstleistung 1"
	* 6 "Dienstleistung 2"
	* 7 "Public 1"
	* 8 "Public 2"

	*/


	* aggregation der Jobklassen
	gen d_espell_jobkl_last_agg_1 = d_espell_jobkl_last_1 + d_espell_jobkl_last_2
	gen d_espell_jobkl_last_agg_2 = d_espell_jobkl_last_3
	gen d_espell_jobkl_last_agg_3 = d_espell_jobkl_last_4
	gen d_espell_jobkl_last_agg_4 = d_espell_jobkl_last_5
	gen d_espell_jobkl_last_agg_5 = d_espell_jobkl_last_6


	/*
	label define jobkl
            1 "Landwirtschaftsberufe"
            2 "Produktions-/Facharbeiter, Handwerker"
            3 "Hoehere Angestellte"
            4 "Vertriebs-/Verkaufstaetigkeiten"
            5 "Buerogkeiten"
            6 "Dienstleister";

	*/


	****************************************************************************
	*Dummies fuer Betriebsgroesse
	****************************************************************************

	*Firmengroesse

	gen espell_betr_gr_last_k10 = (espell_betr_gr_last < 10)
	gen espell_betr_gr_last_10_k50 = (espell_betr_gr_last >=10 & espell_betr_gr_last < 50)
	gen espell_betr_gr_last_50_k250 = (espell_betr_gr_last >=50 & espell_betr_gr_last < 250)
	gen espell_betr_gr_last_250_k500 = (espell_betr_gr_last >=250 & espell_betr_gr_last < 500)
	gen espell_betr_gr_last_500 = (espell_betr_gr_last >=500 & espell_betr_gr_last != .)

	* Dummies fuer letzte spells
	****************************************************************************
	*** Falls missing, generiere einen Dummy und Faelle die missings mit NULLEN auf

	foreach var in  espell_dauer_seit_last espell_entgelt_last espell_betr_gr_last espell_betr_ml_last espell_jobkl_last espell_sectorkl_last espell_vz_last{
	gen `var'_mis = (`var' == .)
	replace `var' = 0 if `var' == .
	}
	****************************************************************************

	*Dummies fuer zeit seit letztem employment spell

	replace espell_dauer_seit_last = int(espell_dauer_seit_last)

	gen d_espell_dur_seit_last_0 = (espell_dauer_seit_last == 0)
	gen d_espell_dur_seit_last_0_6 = (espell_dauer_seit_last > 0 & espell_dauer_seit_last <= 6)
	gen d_espell_dur_seit_last_7_12 = (espell_dauer_seit_last > 6 & espell_dauer_seit_last <= 12)
	gen d_espell_dur_seit_last_13_24 = (espell_dauer_seit_last > 12 & espell_dauer_seit_last <= 24)
	gen d_espell_dur_seit_last_25 = (espell_dauer_seit_last > 24 & espell_dauer_seit_last != .)


	*************************************************
	********Aufteilung nach Perzentilen**************
	*************************************************
	* Erste Kategorie ist immer 0

	*************************************************
	********Dauern***********************************
	*************************************************
	gen d_uspell_kverm = (n_uspell_kverm > 0)


	* Dauer in sozialversichungspflichtiger Beschaeftigung, in geringfuegiger Beschaeftigung, in Arbeitslosigkeit und in Episoden ohne Meldung
	foreach var in espell_soz_dauer espell_ger_dauer uspell_dauer nspell_dauer{

	qui sum `var'_cum if `var'_cum > 0 & treat != ., detail


	local p25 = r(p25)
	local p50 = r(p50)
	local p75 = r(p75)

	gen     `var'_0 = 0
	gen 	`var'_p0p25 = 0
	gen     `var'_p25p50 = 0
	gen     `var'_p50p75 = 0
	gen     `var'_p75 = 0

	replace `var'_0 = 1 if `var'_cum == 0
	replace `var'_p0p25 = 1 if `var'_cum > 0 & `var'_cum <= `p25'
	replace `var'_p25p50 = 1 if `var'_cum > `p25' & `var'_cum <= `p50'
	replace `var'_p50p75 = 1 if `var'_cum > `p50' & `var'_cum <= `p75'
	replace `var'_p75 = 1 if `var'_cum > `p75' & `var'_cum !=.

	}

	*********************************************
	* Last employment****************************
	*********************************************

	* Dauer, Lohn und Medianlohn der Firma der letzten Beschaeftigung

	foreach var in espell_dauer_last espell_entgelt_last  espell_betr_ml_last {

	qui sum `var' if `var' > 0 & treat != ., detail


	local p25 = r(p25)
	local p50 = r(p50)
	local p75 = r(p75)

	gen     `var'_0 = 0
	gen 	`var'_p0p25 = 0
	gen     `var'_p25p50 = 0
	gen     `var'_p50p75 = 0
	gen     `var'_p75 = 0

	replace `var'_0 = 1 if `var' == 0
	replace `var'_p0p25 = 1 if `var' > 0 & `var' <= `p25'
	replace `var'_p25p50 = 1 if `var' > `p25' & `var' <= `p50'
	replace `var'_p50p75 = 1 if `var' > `p50' & `var' <= `p75'
	replace `var'_p75 = 1 if `var' > `p75' & `var' !=.

	}


	* Anzahl Jobwechsel

	*sum n_espell_soz if n_espell_soz > 0 & treat!=., d

	gen n_espell_soz_1 = (n_espell_soz <= 3)
	gen n_espell_soz_2 = (n_espell_soz > 3 & n_espell_soz <= 7)
	gen n_espell_soz_3 = (n_espell_soz > 7 & n_espell_soz <= 10)
	gen n_espell_soz_4 = (n_espell_soz > 10 & n_espell_soz !=.)

	*sum n_uspell if n_uspell > 0 & treat!=., d

	gen n_uspell_1 = (n_uspell <= 0)
	gen n_uspell_2 = (n_uspell > 0 & n_uspell <= 4)
	gen n_uspell_3 = (n_uspell > 4 & n_uspell <= 7)
	gen n_uspell_4 = (n_uspell > 7 & n_uspell !=.)


********************************************************************************
**** Generierung   Kontrollen                             **********************
********************************************************************************
* age groups
gen age24 = (age <= 24)
gen age25_34 = (age >= 25 & age <= 34)
gen age34 = (age <= 34)
gen age35_44 = (age >= 35 & age <= 44)
gen age45_54 = (age >= 45 & age <= 54)
gen age55 = (age >= 55 & age != .)

label var age24 "Age <= 24"
label var age25_34 "Age 25-34"
label var age35_44 "Age 35-44"
label var age45_54 "Age 45-54"
label var age55 "Age > 55"


* Missing Indikator fuer Famstand
gen famstand_mis = (famstand_verheiratet == .)
label var famstand_mis "Family status is missing"

foreach var in famstand_verheiratet{
replace `var' = 0 if famstand_mis == 1 & `var' == .
}


 * Interaktion Paar mit Kindern und Frau
 gen female_partner_hindu16 = female* hhtyp_paarmitkindernu16
 label var female_partner_hindu16 "Frau mit Partner und Kind"
 
 
 
* Haushalt - Kinder
gen HHkind0 = (anzahl_kindHH == 0)
gen HHkind1 = (anzahl_kindHH == 1)
gen HHkind2 = (anzahl_kindHH == 2)
gen HHkind3more = (anzahl_kindHH >= 3 & anzahl_kindHH != .)

gen HHkind_mis = (anzahl_kindHH == .)

label var HHkind0 "0 children in HH"
label var HHkind1 "1 child in HH"
label var HHkind2 "2 children in HH"
label var HHkind3more "3 or more children in HH"
label var HHkind_mis "Kinder im HH is missing"
 

* HH income

gen einkommenHH1000 = einkommenHH500+ einkommenHH500_1000
gen einkommenHH3000 = einkommenHH3000_4000 + einkommenHH4000

* home owner
gen eigentum_mis = (eigentum == .)
replace eigentum = 0 if eigentum_mis == 1
label var eigentum_mis "Poperty is missing"

* Migration Dummy
gen mig_dummy_mis = (mig_dummy == .)
replace mig_dummy = 0 if mig_dummy_mis == 1
label var mig_dummy_mis "Immigrant is missing"

* Schulbildung
gen schule_mis = (SA_keiner ==.)
label var schule_mis "Schulabschluss is missing"

foreach var in SA_schueler SA_keiner SA_sonder_hauptschule SA_realschule SA_gymnasium{
replace `var' = 0 if schule_mis == 1 & `var' == .
}

* Bildungsstand
gen BA_mis = (BA_meister == .)
label var BA_mis "PQ is missing"

foreach var in BA_keine BA_lehre BA_meister BA_akademisch {
replace `var' = 0 if BA_mis == 1 & `var' == .
}

gen BA_lehre_meister = BA_lehre + BA_meister

* Bildungsstand vater
gen BA_V_mis = (BA_V_keine == .)
label var BA_V_mis "Bildungsstand des Vaters is missing"

foreach var in BA_V_keine BA_V_lehre BA_V_meister BA_V_akademisch {
replace `var' = 0 if BA_V_mis == 1 & `var' == .
}

* Sport
gen sport_selten_nie = (sports_nie == 1 | sports_selten == 1)

gen sport_mis = (sports == .)
label var sport_mis "Sportinformation is missing"

* Groesse und Gewicht
gen height_mis = (height == .)
replace height = 0 if height_mis == 1

gen weight_mis = (weight == .)
replace weight = 0 if weight_mis == 1

* Rauchen und Alkohol
gen raucher_mis = (raucher == .)
label var raucher_mis "Raucherinformation is missing"
replace raucher = 0 if raucher_mis == 1

gen alkohol_daily_mis = (alkohol_daily == .)
label var alkohol_daily_mis "Taeglicher Konsum von Alkohol"
replace alkohol_daily = 0 if alkohol_daily_mis == 1

* Raucher_jemals
gen raucher_jemals_mis = (raucher_jemals == .)
label var raucher_jemals_mis "Raucherinformation is missing"
replace raucher_jemals = 0 if raucher_jemals_mis == 1

* Body und Psyche scala
gen body_scala_mis = (body_scala == .)
replace body_scala = 0 if body_scala_mis == 1

gen psyche_scala_mis = (psyche_scala == .)
replace psyche_scala = 0 if psyche_scala_mis == 1


* Religion
gen religion_mis = (religion_rk == .)
label var religion_mis "Religionsinformation is missing"
replace religion_rk = 0 if religion_mis == 1
replace religion_is = 0 if religion_mis == 1
replace religion_ox = 0 if religion_mis == 1
replace religion_ev = 0 if religion_mis == 1
replace religion_ac = 0 if religion_mis == 1
replace religion_anc = 0 if religion_mis == 1
replace religion = 0 if religion_mis == 1


* Partnervariablen anpassen

gen partner_age24 = (partner_age < 25)
gen partner_age25_34 = (partner_age >= 25 & partner_age <= 34)
gen partner_age35_44 = (partner_age >= 35 & partner_age <= 44)
gen partner_age45_54 = (partner_age >= 45 & partner_age <= 54)
gen partner_age55 = (partner_age > 55 & partner_age != .)

gen partner_age_mis = (partner_age == .)
gen partner_BA_mis = (partner_BA_keine == .)
gen partner_mig_mis = (partner_mig_dummy == .)
gen partner_empl_mis = (partner_espell == .)


foreach var in partner_age24 partner_age25_34 partner_age35_44 partner_age45_54 partner_age55 partner_BA_keine partner_BA_lehre partner_BA_meister partner_BA_akademisch partner_mig_dummy partner_espell partner_uspell partner_nspell{
replace `var' = 0 if `var' == .
}

* Zusammenfassung von Variablen
gen partner_BA_akademisch_meister = partner_BA_akademisch + partner_BA_meister
gen partner_uspell_nspell = partner_uspell + partner_nspell


* year fixed-effects
gen year06 = (year == 2006)
gen year07 = (year == 2007)
gen year08 = (year == 2008)
gen year09 = (year == 2009)
gen year10 = (year == 2010)
gen year11 = (year == 2011)
gen year12 = (year == 2012)
gen year13 = (year == 2013)
gen year14 = (year == 2014)
gen year15 = (year == 2015)

label var year06 "year 2006"
label var year07 "year 2007"
label var year08 "year 2008"
label var year09 "year 2009"
label var year10 "year 2010"
label var year11 "year 2011"
label var year12 "year 2012"
label var year13 "year 2013"
label var year14 "year 2014"
label var year15 "year 2015"

* month-fixed effects
gen januar = (month == 1)
gen februar = (month == 2)
gen maerz = (month == 3)
gen april = (month == 4)
gen mai = (month == 5)
gen juni = (month == 6)
gen juli = (month == 7)
gen august = (month == 8)
gen september = (month == 9)
gen oktober = (month == 10)
gen november = (month == 11)
gen dezember = (month == 12)



* welle fixed-effects
gen welle1 = (welle == 1)
gen welle2 = (welle == 2)
gen welle3 = (welle == 3)
gen welle4 = (welle == 4)
gen welle5 = (welle == 5)
gen welle6 = (welle == 6)
gen welle7 = (welle == 7)
gen welle8 = (welle == 8)
gen welle9 = (welle == 9)

label var welle1 "welle 1"
label var welle2 "welle 2"
label var welle3 "welle 3"
label var welle4 "welle 4"
label var welle5 "welle 5"
label var welle6 "welle 6"
label var welle7 "welle 7"
label var welle8 "welle 8"
label var welle9 "welle 9"

* Bundesland
tab bland, gen(d_bland_)



********************************************************************************
****  involuntary job loss                           **********************
********************************************************************************

gen invol_loss =  1 if art_kuend_adiab == 1 | art_kuend_adiab[_n+1] == 1
replace invol_loss =  0 if (art_kuend_adiab != 1 & art_kuend_adiab !=.)  | (art_kuend_adiab[_n+1] != 1 & art_kuend_adiab[_n+1] !=.)
replace invol_loss = 1 if e_end == 2 | e_end[_n+1] == 2 & invol_loss == .
replace invol_loss = 0 if ((e_end != 2 & e_end != .) | (e_end[_n+1] != 2 & e_end[_n+1] != .)) & invol_loss == .

label var invol_loss "Kuendigung durch AG"

* Labels of e_end
* 1 = selbst gekuendigt
* 2 = wurde gekuendigt
* 3 = andere Taetigkeit bei selbem AG
* 4 = endete Vereinbarungsgemaess
* 6 = ZP in Rente
* 7 = ZP in Elternzeit

* Label of art_kuend_adiab
*1 "1 - durch Arbeitgeber"
*2 "2 - durch Arbeitnehmer"
*3 "3 - befristeter Vertrag"
*4 "4 - sonstiges";

tab invol_loss

********************************************************************************
****Big 5
********************************************************************************

foreach var in extraversion tolerance conscientiousness neuroticism openess{
gen `var'_mis = (`var' == .)
replace `var' = 0 if `var'_mis == 1
}


********************************************************************************
****Beschaeftigungscharakteristica
********************************************************************************
gen contract_permanent = 1 if befrist == 0 | befrist_adiab == 0
replace contract_permanent = 0 if befrist == 1 | befrist_adiab == 1
replace contract_permanent = 0 if  art_kuend_adiab == 3 & contract_permanent == .

foreach var in bluecoll contract_permanent siops {
gen `var'_mis = (`var' == .)
replace `var' = 0 if `var'_mis == 1
}

replace whitecoll = 0 if bluecoll_mis == 1
replace selfemployed = 0 if bluecoll_mis == 1

gen egp_mis = (egp1 == .)
gen sector_mis = (sector1 == .)

foreach var in egp1 egp2 egp3 egp4 egp5 egp6 egp7 egp8 egp9 egp10 egp11 {
replace `var' = 0 if egp_mis == 1
}

foreach var in sector1 sector2 sector3 sector4 sector5 sector6 sector7 sector8 sector9 sector10 {
replace `var' = 0 if sector_mis == 1
}


********************************************************************************
**** outcomes           Soziale Teilhabe                  **********************
********************************************************************************

********************************************************************************
* Ressourcen

* Deprivation


* die Variable depindg2 ist ein gewichteter Deprivationsindex und umfasst folgende Variablen

*HLS0100a-HLS0400a; HLS0100b-HLS0400b;
*HLS0600a-HLS1200a; HLS0600b-*HLS1200b;
*HLS1400a-HLS2500a; HLS1400b-HLS2500b;
* PLS0100-PLS0400, PLS0600-PLS1200; PLS1400-PLS2500;

 replace depindg2 = . if depindg2 == -5

 gen depindg2_0 = (depindg2 == 0)
 gen depindg2_1 = (depindg2 > 0 & depindg2 <= 0.5)
 gen depindg2_2 = (depindg2 > 0.5 & depindg2 <= 1)
 gen depindg2_3 = (depindg2 > 1 & depindg2 <= 1.5)
 gen depindg2_4 = (depindg2 > 1.5 & depindg2 <= 2.5)
 gen depindg2_5 = (depindg2 > 2.5 & depindg2!=.)


* nicht in allen Wellen abgefragt: dep_heizung_fgrund, dep_rezeptfreie_medi_fgrund

* Zufriedenheit mit Wohnen
* von ganz und gar unzufrieden bis ganz und gar zufrieden
* zufr_wohnung

* Umzug
* umzug

* Zufriedenheit mit Lebensstandard
* von ganz und gar unzufrieden bis ganz und gar zufrieden
*zufr_lebensstandard
********************************************************************************

* Soziale Integration
*engefreunde anzahl_engefreunde

* eng_gewerkschaft eng_partei eng_kirche eng_verein eng_sonst
* zusammengefasst: engagement


gen dummy_engagement = 1 if eng_gewerkschaft == 1 | eng_partei == 1 | eng_kirche == 1 | eng_verein == 1 | eng_sonst == 1
replace dummy_engagement = 0 if eng_gewerkschaft == 0 & eng_partei == 0 & eng_kirche == 0 & eng_verein == 0 & eng_sonst == 0


gen engagement = eng_gewerkschaft + eng_partei + eng_kirche + eng_verein + eng_sonst

* Anzahl enge Freunde entlang der Perzentile (25%, 50% und 75%)
*sum anzahl_engefreunde if anzahl_engefreunde > 0,d

gen anz_engefreunde_p = 0 if anzahl_engefreunde == 0
replace anz_engefreunde_p = 1 if (anzahl_engefreunde >= 1 & anzahl_engefreunde <= 4)
replace anz_engefreunde_p = 2 if (anzahl_engefreunde >= 5 & anzahl_engefreunde <= 6)
replace anz_engefreunde_p = 3 if (anzahl_engefreunde >= 7 & anzahl_engefreunde <= 10)
replace anz_engefreunde_p = 4 if (anzahl_engefreunde >= 11 & anzahl_engefreunde !=.)

replace anzahl_engefreunde = anz_engefreunde_p

* Konflikte
*konflikte_hseufigkeit

********************************************************************************

* Kompetenzen
* gen Index fuer Selbstwirksamkeit
egen selbstwirksamkeit = rmean(kompetenz_1 kompetenz_2 kompetenz_3 kompetenz_4 kompetenz_5)

* kompetenz_1 - kompetenz_5

* Selbstwirksamkeit auffuellen by treat
 *sum selbstwirksamkeit if treat!=., d
 *sum selbstwirksamkeit, d


 gen selbstwirksamkeit_low = (selbstwirksamkeit <= 2.8)
 gen selbstwirksamkeit_med = (selbstwirksamkeit > 2.8 & selbstwirksamkeit <= 3.4)
 gen selbstwirksamkeit_high = (selbstwirksamkeit > 3.4 & selbstwirksamkeit != .)
 gen selbstwirksamkeit_mis = (selbstwirksamkeit == .)

********************************************************************************

* Gesundheit

* Arztbesuche/Krankenhausaufenthalte
*arztbesuch_anz krankenhaus_l12 krankenhaus_anz_l12

* Anzahl Arztbesuche und Krankenhausaufenthalte in Kategorien unterteilen entlang der Perzentile (25%, 50% und 75%)
*sum arztbesuch_anz if arztbesuch_anz > 0,d
gen arztbesuch_anz_l3_p = 0 if arztbesuch_anz == 0
replace arztbesuch_anz_l3_p = 1 if arztbesuch_anz == 1
replace arztbesuch_anz_l3_p = 2 if arztbesuch_anz == 2
replace arztbesuch_anz_l3_p = 3 if arztbesuch_anz >= 3 & arztbesuch_anz <= 4
replace arztbesuch_anz_l3_p = 4 if arztbesuch_anz > 4 & arztbesuch_anz != .

gen arztbesuch_anz_mis = (arztbesuch_anz == .)
replace arztbesuch_anz_l3_p = 0 if arztbesuch_anz == .

tab arztbesuch_anz_l3_p, gen(arztbesuch_anz_)


gen d_krankenhaus_l12 = (krankenhaus_anz_l12 > 0)
gen krankenhaus_l12_mis = (krankenhaus_anz_l12 == .)
replace d_krankenhaus_l12 = 0 if krankenhaus_anz_l12 == .


* Behinderung
*behinderung_anerkannt gesund_einschr_schwer beh_koerperlich beh_seh_hoer beh_anfallsl beh_innen beh_psychisch beh_sonst
gen behinderung = 1 if beh_koerperlich == 1 | beh_seh_hoer == 1 | beh_anfallsl == 1 | beh_innen == 1 | beh_psychisch == 1 | beh_sonst == 1
replace behinderung = 0 if  beh_koerperlich == 0 & beh_seh_hoer == 0 & beh_anfallsl == 0 & beh_innen == 0 & beh_psychisch == 0 & beh_sonst == 0
replace behinderung = 1 if behinderung_anerkannt == 1

*Gesundheit
gen gesund_einschr = 1 if behinderung_anerkannt == 1 | gesund_einschr_schwer == 1 | behinderung == 1
replace gesund_einschr = 0 if behinderung_anerkannt == 0 & gesund_einschr_schwer == 0 & behinderung == 0

gen gesund_einschr_mis = (gesund_einschr == .)
replace gesund_einschr = 0 if gesund_einschr == .

* Seelische Probleme
* von ueberhaupt nicht bis sehr
*seele
rename seele seele_orig
gen seele= 1 if seele_orig == 5
replace seele = 2 if seele_orig == 4
replace seele = 3 if seele_orig == 3
replace seele = 4 if seele_orig == 2
replace seele = 5 if seele_orig == 1


*sum seele if treat!=., d

gen seele_low = (seele <= 2)
gen seele_mis= (seele == . )

* Gesundheit sujektiv
* von sehr gut bis schlecht
*gesund_subjectiv

rename gesund_subjectiv gesund_subjectiv_orig
gen gesund_subjectiv= 1 if gesund_subjectiv_orig == 5
replace gesund_subjectiv = 2 if gesund_subjectiv_orig == 4
replace gesund_subjectiv = 3 if gesund_subjectiv_orig == 3
replace gesund_subjectiv = 4 if gesund_subjectiv_orig == 2
replace gesund_subjectiv = 5 if gesund_subjectiv_orig == 1

* Zufriedenheit mit Gesundheitsstatus
* von ganz und gar unzufrieden bis ganz und gar zufrieden
*zufr_gesundheit

*sum zufr_gesundheit if treat!=., d

gen zufr_gesundheit_low = (zufr_gesundheit <= 6)
gen zufr_gesundheit_med = (zufr_gesundheit > 6 & zufr_gesundheit <= 8)
gen zufr_gesundheit_high= (zufr_gesundheit > 8 & zufr_gesundheit !=. )
gen zufr_gesundheit_mis = (zufr_gesundheit == . )

* Outcome Gesundheit
 factor seele gesund_subjectiv zufr_gesundheit, pcf
 rotate
 predict factor_gesundheit


********************************************************************************

* generell questions

* Lebenszufriedenheit
* von ganz und gar unzufrieden bis ganz und gar zufrieden
*zufr_leben

*sum zufr_leben if treat!=., d

gen zufr_leben_0 = (zufr_leben <= 5)
gen zufr_leben_1= (zufr_leben == 6 | zufr_leben == 7)
gen zufr_leben_2= (zufr_leben == 8)
gen zufr_leben_3= (zufr_leben == 9)
gen zufr_leben_4= (zufr_leben == 10)
gen zufr_leben_mis= (zufr_leben == . )

* soziale Teilhabe
* von ausgeschlossen bis dazugehoerig
*soz_teil_ges

*sum soz_teil_ges if treat!=., d

gen soz_teil_ges_low = (soz_teil_ges <= 7)
gen soz_teil_ges_med = (soz_teil_ges > 7 & soz_teil_ges <= 9)
gen soz_teil_ges_high= (soz_teil_ges > 9 & soz_teil_ges !=. )
gen soz_teil_ges_mis= (soz_teil_ges == .)

* soziale Position
* von unten bis oben
* soz_pos

*sum soz_pos if treat!=., d

gen soz_pos_low = (soz_pos <= 5)
gen soz_pos_med = (soz_pos > 5 & soz_pos <= 7)
gen soz_pos_high= (soz_pos > 7 & soz_pos !=. )
gen soz_pos_mis= (soz_pos == .)

********************************************************************************
* Arbeitslosigkeit

* uspell
* kontakt und bewertung jobcenter

* JC_kontakt_anz JC_ausf_beratung JC_ausf_beratung_anz JC_support_eignung JC_support_eignung_wichtig JC_support_pers_prob JC_support_pers_prob_wichtig JC_support_kinderbetr JC_support_kinderbetr_wichtig JC_eigl_vereinbar JC_mitarbeiter_bewertung

********************************************************************************
* Hilfebeduerftigkeit
* alg2-Bezug und andere staatliche Leistungen
*ALG2 wohngeld


********************************************************************************
* Work Attitude

* work attitude
egen work_attitude = rmean(work_attitude_2 work_attitude_3 work_attitude_4)


* Faktoranalyse fuer work attitude
 factor work_attitude_2 work_attitude_3 work_attitude_4, pcf
 rotate
 predict factor_work_attitude

 corr factor_work_attitude work_attitude

 *sum work_attitude if treat!=., d
 *sum work_attitude, d


 gen work_attitude_low = (work_attitude <= 2.67)
 gen work_attitude_med = (work_attitude > 2.67 & work_attitude <= 3.67)
 gen work_attitude_high = (work_attitude > 3.67 & work_attitude != .)
  gen work_attitude_mis = (work_attitude == .)

********************************************************************************
* Outcome Variables
* Outcome Variable der naechsten Periode
global outcomes "soz_teil_ges zufr_leben seele depindg2 deprivation_ug_haben_gen deprivation_ug_tun_gen deprivation_g_haben_gen deprivation_g_tun_gen zufr_lebensstandard anzahl_engefreunde engagement soz_pos selbstwirksamkeit l_hhincome_orig l_hhincome_oecd_1 l_hhincome_oecd_2"

foreach var in $outcomes{

bysort persnr (welle): gen `var'_lead1 = `var'[_n+1] if welle == welle[_n+1] - 1
bysort persnr (welle): gen `var'_lead2 = `var'[_n+2] if welle == welle[_n+2] - 2
bysort persnr (welle): gen `var'_lag1 = `var'[_n-1] if welle == welle[_n-1] + 1
bysort persnr (welle): gen `var'_lag2 = `var'[_n-2] if welle == welle[_n-2] + 2
bysort persnr (welle): gen `var'_lag3 = `var'[_n-3] if welle == welle[_n-3] + 3

bysort persnr (welle): gen d_`var' = `var'_lead1 -`var' if `var'!=. & `var'_lead1!=.
bysort persnr (welle): gen d_2_`var' = `var'_lead2 -`var' if `var'!=. & `var'_lead2!=.
bysort persnr (welle): gen dlag_`var' = `var' -`var'_lag1 if `var'!=. & `var'_lag1!=.
bysort persnr (welle): gen dlag2_`var' = `var' -`var'_lag2 if `var'!=. & `var'_lag2!=.
bysort persnr (welle): gen dlag3_`var' = `var' -`var'_lag3 if `var'!=. & `var'_lag3!=.
}

* Outcome for partner
global outcomes "soz_teil_ges zufr_leben seele depindg2 zufr_lebensstandard anzahl_engefreunde engagement soz_pos selbstwirksamkeit l_hhincome_orig l_hhincome_oecd_1 l_hhincome_oecd_2"

foreach var in $outcomes{

bysort hnr welle (persnr): gen d_`var'_partner = d_`var'[_n+1] if persnr_partner == persnr[_n+1] & persnr !=.

gsort welle hnr -persnr
by welle hnr: replace d_`var'_partner = d_`var'[_n+1] if persnr_partner == persnr[_n+1] & persnr !=.

}

sort persnr welle

* Indikator for same household in two waves
bysort persnr (welle): gen d_same_hh = 1 if persnr_partner == persnr_partner[_n+1] & persnr_partner!=.



*******************************************************************************
**** Daten speichern                                      **********************
********************************************************************************
sort persnr welle

save "$data/final_data_all.dta", replace


********************************************************************************
* sample selection

keep if age >= 18 & age <= 64 & d_ausb != 1 & mig_dummy_mis == 0 & famstand_mis == 0 & gesund_einschr_mis == 0 ///
 & BA_mis == 0 & einkommenHH_mis == 0 & HHkind_mis == 0  ///
 & espell_jobkl_last_mis ==0 & espell_sectorkl_last_mis == 0 & espell_betr_gr_last_mis == 0 & espell_vz_last_mis == 0 ///
 & work_attitude_mis == 0 & soz_teil_ges_mis == 0 & soz_pos_mis == 0 & zufr_leben_mis == 0  & zufr_gesundheit_mis == 0 & seele_mis == 0 ///
 & U_ratio !=.


********************************************************************************
*Defining globals

global outcome_sozteilh "soz_teil_ges soz_teil_ges_low soz_teil_ges_med soz_teil_ges_high soz_teil_ges_mis"
global outcome_wellbeing "zufr_leben zufr_leben_0 zufr_leben_1 zufr_leben_2 zufr_leben_3 zufr_leben_4 zufr_leben_mis"
global outcome_resources "zufr_wohnung zufr_lebensstandard depindg2 depindg2_0 depindg2_1 depindg2_2 depindg2_3 depindg2_4 depindg2_5"
global outcome_soz_participation "engefreunde anzahl_engefreunde anz_engefreunde_p dummy_engagement engagement"
global outcome_selbstwirksamkeit "selbstwirksamkeit selbstwirksamkeit_low selbstwirksamkeit_med selbstwirksamkeit_high selbstwirksamkeit_mis"
global outcome_gesundheit "arztbesuch_anz arztbesuch_anz_l3_p krankenhaus_l12 krankenhaus_anz_l12 gesund_einschr_schwer seele seele_orig seele_low gesund_subjectiv gesund_subjectiv_orig zufr_gesundheit zufr_gesundheit_low zufr_gesundheit_med zufr_gesundheit_high zufr_gesundheit_mis"
global outcome_work_attitude "work_attitude work_attitude_low work_attitude_med work_attitude_high work_attitude_mis"
global outcome_status "soz_pos soz_pos_low soz_pos_med soz_pos_high soz_pos_mis"
global outcome_JCS "JC_kontakt_anz JC_ausf_beratung JC_ausf_beratung_anz JC_support_eignung JC_support_eignung_wichtig JC_support_pers_prob JC_support_pers_prob_wichtig JC_support_kinderbetr JC_support_kinderbetr_wichtig JC_eigl_vereinbar JC_mitarbeiter_bewertung"

global outcomes "soz_teil_ges zufr_leben seele depindg2 deprivation_ug_haben_gen deprivation_ug_tun_gen deprivation_g_haben_gen deprivation_g_tun_gen zufr_lebensstandard anzahl_engefreunde engagement soz_pos selbstwirksamkeit l_hhincome_orig l_hhincome_oecd_1 l_hhincome_oecd_2"
global d_outcomes "d_soz_teil_ges d_zufr_leben d_seele d_depindg2 d_deprivation_ug_haben_gen d_deprivation_ug_tun_gen d_deprivation_g_haben_gen d_deprivation_g_tun_gen d_zufr_lebensstandard d_anzahl_engefreunde d_engagement d_soz_pos d_selbstwirksamkeit d_l_hhincome_orig d_l_hhincome_oecd_1 d_l_hhincome_oecd_2"
global d_outcomes_partner "d_soz_teil_ges_partner d_zufr_leben_partner d_seele_partner d_depindg2_partner d_zufr_lebensstandard_partner d_anzahl_engefreunde_partner d_engagement_partner d_soz_pos_partner d_selbstwirksamkeit_partner d_l_hhincome_orig_partner d_l_hhincome_oecd_1_partner d_l_hhincome_oecd_2_partner"
global outcomes_lead1 "soz_teil_ges_lead1 zufr_leben_lead1 seele_lead1 depindg2_lead1 zufr_lebensstandard_lead1 anzahl_engefreunde_lead1 engagement_lead1 soz_pos_lead1 selbstwirksamkeit_lead1"
global d_2_outcomes "d_2_soz_teil_ges d_2_zufr_leben d_2_seele d_2_depindg2 d_2_zufr_lebensstandard d_2_anzahl_engefreunde d_2_engagement d_2_soz_pos d_2_selbstwirksamkeit"
global dlag_outcomes "dlag_soz_teil_ges dlag_zufr_leben dlag_seele dlag_depindg2 dlag_zufr_lebensstandard dlag_anzahl_engefreunde dlag_engagement dlag_soz_pos dlag_selbstwirksamkeit"
global dlag2_outcomes "dlag2_soz_teil_ges dlag2_zufr_leben dlag2_seele dlag2_depindg2 dlag2_zufr_lebensstandard dlag2_anzahl_engefreunde dlag2_engagement dlag2_soz_pos dlag2_selbstwirksamkeit"
global dlag3_outcomes "dlag3_soz_teil_ges dlag3_zufr_leben dlag3_seele dlag3_depindg2 dlag3_zufr_lebensstandard dlag3_anzahl_engefreunde dlag3_engagement dlag3_soz_pos dlag3_selbstwirksamkeit"
global outcomes_lag1 "soz_teil_ges_lag1 zufr_leben_lag1 seele_lag1 depindg2_lag1 zufr_lebensstandard_lag1 anzahl_engefreunde_lag1 engagement_lag1 soz_pos_lag1 selbstwirksamkeit_lag1"
global outcomes_lag2 "soz_teil_ges_lag2 zufr_leben_lag2 seele_lag2 depindg2_lag2 zufr_lebensstandard_lag2 anzahl_engefreunde_lag2 engagement_lag2 soz_pos_lag2 selbstwirksamkeit_lag2"
global outcomes_lag3 "soz_teil_ges_lag3 zufr_leben_lag3 seele_lag3 depindg2_lag3 zufr_lebensstandard_lag3 anzahl_engefreunde_lag3 engagement_lag3 soz_pos_lag3 selbstwirksamkeit_lag3"


* treatment
global treat "treat treat_admin treat_empl_same_firm treat_unempl treat_unempl_2 treat_employed treat_unempl_dauer_s6 treat_unempl_dauer_ge6 invol_loss"

* Individuelle Kontrollvariablen soziodemo
global control_ind_sozio "female age age24 age25_34 age35_44 age45_54 age55 mig_dummy partner famstand_verheiratet famstand_sonst religion religion_mis raucher_jemals raucher_jemals_mis raucher raucher_mis alkohol_daily alkohol_daily_mis sport_selten_nie sport_mis body_scala body_scala_mis psyche_scala  height height_mis weight weight_mis"

global control_ind_educ "SA_keiner SA_sonder_hauptschule SA_realschule SA_gymnasium BA_keine BA_lehre BA_meister BA_lehre_meister BA_akademisch"

* Individuelle Kontrollvariablen health
global control_ind_health "gesund_einschr arztbesuch_anz_2 arztbesuch_anz_3 arztbesuch_anz_4 arztbesuch_anz_5 arztbesuch_anz_mis d_krankenhaus_l12 krankenhaus_l12_mis"

* HH Kontrollvariablen
global control_HH "einkommenHH1000 einkommenHH1000_1500 einkommenHH1500_2000 einkommenHH2000_3000 einkommenHH3000 hhtyp_paarohnekind hhtyp_1ElternHH hhtyp_paarmitkindernu16 female_partner_hindu16 hhtyp_sonst hhtyp_mis anzahl_kindHH HHkind0 HHkind1 HHkind2 HHkind3more eigentum eigentum_mis"

* Partnervariablen
global control_partner "partner partner_age25_34 partner_age35_44 partner_age45_54 partner_age55 partner_age_mis partner_BA_keine partner_BA_lehre partner_BA_meister partner_BA_akademisch partner_BA_akademisch_meister partner_BA_mis partner_espell partner_uspell partner_nspell partner_uspell_nspell partner_empl_mis"

* Bildungsinformationen der Eltern
global control_vater  "BA_V_keine BA_V_mis"

* Occupation
global control_occ "selbststaendig_lewt oeDienst_lewt arbeiter_lewt meister_lewt missing_occ_lewt selbststaendig_eewt oeDienst_eewt arbeiter_eewt meister_eewt missing_occ_eewt"


* Big 5 und IQ Messungen
global control_big5 "extraversion extraversion_mis tolerance tolerance_mis conscientiousness conscientiousness_mis neuroticism neuroticism_mis openess openess_mis"

*global control_iq "genanntes_wort_share_medium genanntes_wort_share_high erinnertes_wort_share_medium erinnertes_wort_share_high erinnertes_wort_share_mis erinnertes_wort_share_verw"

* Kinderbetreuung
*global control_kindbet "kinderbetreuungHH_mutter kinderbetreuungHH_vater kinderbetreuungHH_beide kinderbetreuungHH_sonst"


* Bundesland, Jahr und Monat
global control_bland "d_ostdeutschland d_bland_2-d_bland_16"
global control_year "year08 year09 year10 year11 year12 year13 year14 year15"
global control_welle "welle1 welle2 welle3 welle4 welle5 welle6 welle7 welle8 welle9"
global control_month "februar maerz april mai juni juli august september oktober november dezember"

* Spelltyp
global spell "espell uspell nspell mspell"

* PASS adiab
global pass_adiab "art_kuend_adiab n_espell_soz espell_soz_dauer_cum espell_soz_dauer_last espell_soz_entgelt_last espell_soz_jobkl_last espell_soz_sectorkl_last espell_soz_betr_gr_last espell_soz_betr_ml_last espell_soz_vz_last espell_soz_tz_last espell_soz_endepi_last n_espell_ger espell_ger_dauer_cum espell_ger_dauer_last espell_ger_entgelt_last espell_ger_jobkl_last espell_ger_sectorkl_last  espell_ger_betr_gr_last espell_ger_betr_ml_last  espell_ger_vz_last espell_ger_tz_last espell_ger_endepi_last n_uspell uspell_dauer_cum n_uspell_krank uspell_krank_dauer_cum n_uspell_kverm uspell_kverm_dauer_cum nspell_dauer_cum n_nspell status_espell_soz status_espell_ger status_uspell status_uspell_krank status_uspell_kverm status_mth"


global dauernFE "espell_soz_dauer_0 espell_soz_dauer_p0p25 espell_soz_dauer_p25p50 espell_soz_dauer_p50p75 espell_soz_dauer_p75 espell_ger_dauer_0 espell_ger_dauer_p0p25 espell_ger_dauer_p25p50 espell_ger_dauer_p50p75 espell_ger_dauer_p75 uspell_dauer_0 uspell_dauer_p0p25 uspell_dauer_p25p50 uspell_dauer_p50p75 uspell_dauer_p75 uspell_krank_dauer_0 uspell_krank_dauer_p0p25 uspell_krank_dauer_p25p50 uspell_krank_dauer_p50p75 uspell_krank_dauer_p75 uspell_kverm_dauer_0 uspell_kverm_dauer_p0p25 uspell_kverm_dauer_p25p50 uspell_kverm_dauer_p50p75 uspell_kverm_dauer_p75 nspell_dauer_0 nspell_dauer_p0p25 nspell_dauer_p25p50 nspell_dauer_p50p75 nspell_dauer_p75"
global dauern "n_espell_soz espell_soz_dauer_p25p50 espell_soz_dauer_p50p75 espell_soz_dauer_p75 n_espell_ger espell_ger_dauer_p25p50 espell_ger_dauer_p50p75 espell_ger_dauer_p75 n_uspell uspell_dauer_p0p25 uspell_dauer_p25p50 uspell_dauer_p50p75 uspell_dauer_p75 n_nspell nspell_dauer_cum"
global dauern_2 "n_espell_soz n_espell_ger n_uspell n_uspell_krank n_uspell_kverm n_nspell espell_soz_dauer_cum espell_ger_dauer_cum uspell_dauer_cum uspell_krank_dauer_cum uspell_kverm_dauer_cum nspell_dauer_cum"
global dauern_des "n_espell_soz  espell_soz_dauer_cum n_espell_ger espell_ger_dauer_cum n_uspell uspell_dauer_cum n_nspell nspell_dauer_cum"

global espell_last "d_espell_soz_last espell_vz_last contract_permanent contract_permanent_mis d_espell_jobkl_last_agg_2 d_espell_jobkl_last_agg_3 d_espell_jobkl_last_agg_4 d_espell_jobkl_last_agg_5  espell_dauer_last_p25p50 espell_dauer_last_p50p75 espell_dauer_last_p75 espell_entgelt_last_p25p50 espell_entgelt_last_p50p75 espell_entgelt_last_p75"
global espell_last_des "d_espell_soz_last espell_vz_last contract_permanent contract_permanent_mis d_espell_jobkl_last_agg_1 d_espell_jobkl_last_agg_2 d_espell_jobkl_last_agg_3 d_espell_jobkl_last_agg_4 d_espell_jobkl_last_agg_5  espell_dauer_last espell_entgelt_last"
global espell_last_FE "status_uspell d_espell_soz_last espell_vz_last espell_vz_last_mis d_espell_jobkl_last_agg_2 d_espell_jobkl_last_agg_3 d_espell_jobkl_last_agg_4 d_espell_jobkl_last_agg_5  espell_jobkl_last_mis espell_dauer_last_p25p50 espell_dauer_last_p50p75 espell_dauer_last_p75 espell_entgelt_last_p0p25 espell_entgelt_last_p25p50 espell_entgelt_last_p50p75 espell_entgelt_last_p75"

global firm_last "espell_betr_gr_last_10_k50 espell_betr_gr_last_50_k250 espell_betr_gr_last_250_k500 espell_betr_gr_last_500 d_espell_sectorkl_last_agg_2 d_espell_sectorkl_last_agg_3 d_espell_sectorkl_last_agg_4 d_espell_sectorkl_last_agg_5 d_espell_sectorkl_last_agg_6 d_espell_sectorkl_last_agg_7 d_espell_sectorkl_last_agg_8"
global firm_last_des "espell_betr_gr_last_k10 espell_betr_gr_last_10_k50 espell_betr_gr_last_50_k250 espell_betr_gr_last_250_k500 espell_betr_gr_last_500 d_espell_sectorkl_last_agg_1 d_espell_sectorkl_last_agg_2 d_espell_sectorkl_last_agg_3 d_espell_sectorkl_last_agg_4 d_espell_sectorkl_last_agg_5 d_espell_sectorkl_last_agg_6 d_espell_sectorkl_last_agg_7 d_espell_sectorkl_last_agg_8"
global firm_last_ext "espell_betr_gr_last_10_k50 espell_betr_gr_last_50_k250 espell_betr_gr_last_250_k500 espell_betr_gr_last_500 espell_betr_ml_last_p0p25 espell_betr_ml_last_p25p50 espell_betr_ml_last_p50p75 espell_betr_ml_last_p75 d_espell_sectorkl_last_agg_1 d_espell_sectorkl_last_agg_2 d_espell_sectorkl_last_agg_3 d_espell_sectorkl_last_agg_4 d_espell_sectorkl_last_agg_5 d_espell_sectorkl_last_agg_6 d_espell_sectorkl_last_agg_7 d_espell_sectorkl_last_agg_8"

global firm_last_FE "espell_betr_gr_last_10_k50 espell_betr_gr_last_50_k250 espell_betr_gr_last_250_k500 espell_betr_gr_last_500 espell_betr_gr_last_mis espell_betr_ml_last_p0p25 espell_betr_ml_last_p25p50 espell_betr_ml_last_p50p75 espell_betr_ml_last_p75 espell_betr_ml_last_mis d_espell_sectorkl_last_2 d_espell_sectorkl_last_3 d_espell_sectorkl_last_4 d_espell_sectorkl_last_5 d_espell_sectorkl_last_6 d_espell_sectorkl_last_7 d_espell_sectorkl_last_8 d_espell_sectorkl_last_9 d_espell_sectorkl_last_10 d_espell_sectorkl_last_11 d_espell_sectorkl_last_12 d_espell_sectorkl_last_13 d_espell_sectorkl_last_14 d_espell_sectorkl_last_15 d_espell_sectorkl_last_16 d_espell_sectorkl_last_17 espell_sectorkl_last_mis"

global espell_dur_seit_last "d_espell_dur_seit_last_0_6 d_espell_dur_seit_last_7_12 d_espell_dur_seit_last_13_24 d_espell_dur_seit_last_25"

global all "persnr hnr welle year month d_same_hh $treat suche_lead utoe $outcomes $d_outcomes $d_outcomes_partner $d_2_outcomes $outcomes_lead1 $dlag_outcomes $dlag2_outcomes $dlag3_outcomes $outcomes_lag1 $outcomes_lag2 $outcomes_lag3 $outcome_sozteilh $outcome_wellbeing $outcome_resources $outcome_soz_participation $outcome_selbstwirksamkeit $outcome_gesundheit $outcome_status $outcome_work_attitude $outcome_JCS $control_ind_sozio $control_ind_educ $control_ind_health $spell $control_occ $control_big5 $control_HH $control_partner $control_vater $control_bland $control_year $control_welle $control_month $pass_adiab $dauern $dauern_des uspell_dauer_treat $dauern_2 $espell_last $espell_last_des $firm_last $firm_last_des $firm_last_ext $dauern_FE $espell_last_FE $firm_last_FE $espell_dur_seit_last U_ratio"

keep $all
order $all


save "$data/final_data.dta", replace


********************************************************************************
log close











